#if !defined(AFX_ORGANIZERBAR_H__783BB043_36E3_11D3_A142_000000000000__INCLUDED_)
#define AFX_ORGANIZERBAR_H__783BB043_36E3_11D3_A142_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// InfoBar.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CInfoBar window

#ifndef baseCInfoBar
#define baseCInfoBar CSizingControlBarCF
#endif

class CInfoBar : public baseCInfoBar
{
// Construction
public:
	CInfoBar();
	DECLARE_DYNCREATE(CInfoBar)

// Attributes
public:
	CWnd *m_MyWnd;
protected:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInfoBar)
	public:
	//}}AFX_VIRTUAL

// Implementation
public:
	LRESULT UpdateWnd(UINT message, WPARAM wParam, LPARAM lParam);
	BOOL CreateView(CCreateContext* pContext);
	virtual ~CInfoBar();
//	virtual void OnUpdateCmdUI(CFrameWnd* pTarget, BOOL bDisableIfNoHndler);

	// Generated message map functions
protected:
	//{{AFX_MSG(CInfoBar)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
//	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
};

class CaplAddInBar : public CInfoBar
{
// Construction
public:
	CaplAddInBar();
	DECLARE_DYNCREATE(CaplAddInBar)
	
	BOOL AttachWnd(CWnd* pWnd);
	
    virtual void LoadState(LPCTSTR lpszProfileName);
    virtual void SaveState(LPCTSTR lpszProfileName);

	DWORD m_iBarID;			//идентификатор панели
	DWORD m_type;			//для каких элементов дерева
	UINT m_iIsVisible;		//отключена или нет
	CString m_sAddInName;	//имя дополнения
	long m_iViewID;			//идентификатор вида дополения
	UINT m_nRegDockBarID;	//используется при создании

// Implementation
public:
	virtual ~CaplAddInBar();

	// Generated message map functions
protected:
	//{{AFX_MSG(CaplAddInBar)
    afx_msg void OnNcLButtonUp(UINT nHitTest, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ORGANIZERBAR_H__783BB043_36E3_11D3_A142_000000000000__INCLUDED_)
